/*
 *  Lexer.h
 *  ucasm - lexical analyzer
 *
 *  Created by Dawid Pilawa on 10/22/09.
 *
 */

#include "tokens.h"

namespace ucasm {

using namespace std;

class Lexer {
	
	int line;
	int val;
	int currentpos;
	int endlpos;
	void err(const char* msg); 	

public:
	
	Lexer();
	token getToken(ifstream& f);
	int getVal();
	int getLine();
	int getPosInLine();

};

};
